picard.illumina

## Class CollectIlluminaLaneMetrics

- java.lang.Object
- - picard.cmdline.CommandLineProgram
  - - picard.illumina.CollectIlluminaLaneMetrics

-     public class CollectIlluminaLaneMetrics
      extends CommandLineProgram

  Command-line wrapper around `CollectIlluminaLaneMetrics.IlluminaLaneMetricsCollector`.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CollectIlluminaLaneMetrics.IlluminaLaneMetricsCollector` Utility for collating Tile records from the Illumina TileMetrics file into lane-level and phasing-level metrics.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `File` | `OUTPUT_DIRECTORY`
    `String` | `OUTPUT_PREFIX`
    `ReadStructure` | `READ_STRUCTURE`
    `File` | `RUN_DIRECTORY`

    - ### Fields inherited from class picard.cmdline.CommandLineProgram

      `COMPRESSION_LEVEL, CREATE_INDEX, CREATE_MD5_FILE, GA4GH_CLIENT_SECRETS, MAX_RECORDS_IN_RAM, QUIET, REFERENCE_SEQUENCE, TMP_DIR, VALIDATION_STRINGENCY, VERBOSITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CollectIlluminaLaneMetrics()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `doWork()` Do the work after command line has been parsed.
    `static void` | `main(String[] args)`

    - ### Methods inherited from class picard.cmdline.CommandLineProgram

      `customCommandLineValidation, getCommandLine, getCommandLineParser, getDefaultHeaders, getMetricsFile, getNestedOptions, getNestedOptionsForHelp, getStandardUsagePreamble, getVersion, instanceMain, instanceMainWithExit, parseArgs, setDefaultHeaders`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RUN_DIRECTORY

          @Option(doc="The Illumina run directory of the run for which the lane metrics are to be generated")
          public File RUN_DIRECTORY

    - #### OUTPUT_DIRECTORY

          @Option(doc="The directory to which the output file will be written")
          public File OUTPUT_DIRECTORY

    - #### OUTPUT_PREFIX

          @Option(doc="The prefix to be prepended to the file name of the output file; an appropriate suffix will be applied",
                  shortName="O")
          public String OUTPUT_PREFIX

    - #### READ_STRUCTURE

          @Option(doc="A description of the logical structure of clusters in an Illumina Run, i.e. a description of the structure IlluminaBasecallsToSam assumes the  data to be in. It should consist of integer/character pairs describing the number of cycles and the type of those cycles (B for Sample Barcode, M for molecular barcode, T for Template, and S for skip).  E.g. If the input data consists of 80 base clusters and we provide a read structure of \"28T8M8B8S28T\" then the sequence may be split up into four reads:\n* read one with 28 cycles (bases) of template\n* read two with 8 cycles (bases) of molecular barcode (ex. unique molecular barcode)\n* read three with 8 cycles (bases) of sample barcode\n* 8 cycles (bases) skipped.\n* read four with 28 cycles (bases) of template\nThe skipped cycles would NOT be included in an output SAM/BAM file or in read groups therein.\nIf not given, will use the RunInfo.xml in the run directory.",
                  shortName="RS",
                  optional=true)
          public ReadStructure READ_STRUCTURE

  - ### Constructor Detail

    - #### CollectIlluminaLaneMetrics

          public CollectIlluminaLaneMetrics()

  - ### Method Detail

    - #### doWork

          protected int doWork()

      Description copied from class: `CommandLineProgram`
      Do the work after command line has been parsed. RuntimeException may be thrown by this method, and are reported appropriately.
      Specified by:
        `doWork` in class `CommandLineProgram`
      Returns:
        program exit status.

    - #### main

          public static void main(String[] args)